Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class PageContextImpl

    java.lang.Object
      |
      +--javax.servlet.jsp.PageContext
            |
            +--org.apache.jasper.runtime.PageContextImpl

public class PageContextImpl
extends javax.servlet.jsp.PageContext

Implementation of the PageContext class from the JSP spec.

Author:
  Anil K. Vijendran
, Larry Cable , Hans Bergsten , Pierre Delisle

Field Summary
`protected java.util.Hashtable` | `attributes`
`protected boolean` | `autoFlush`
`protected int` | `bufferSize`
`protected javax.servlet.ServletConfig` | `config`
`protected javax.servlet.ServletContext` | `context`
`protected java.lang.String` | `errorPageURL`
`protected javax.servlet.jsp.JspFactory` | `factory`
`protected boolean` | `isIncluded`
`protected boolean` | `needsSession`
`protected javax.servlet.jsp.JspWriter` | `out`
`protected java.lang.Object` | `page`
`protected javax.servlet.ServletRequest` | `request`
`protected javax.servlet.ServletResponse` | `response`
`protected javax.servlet.Servlet` | `servlet`
`protected javax.servlet.http.HttpSession` | `session`

Fields inherited from class javax.servlet.jsp.PageContext
`APPLICATION, APPLICATION_SCOPE, CONFIG, EXCEPTION, OUT, PAGE, PAGE_SCOPE, PAGECONTEXT, REQUEST, REQUEST_SCOPE, RESPONSE, SESSION, SESSION_SCOPE`

Method Summary
`protected javax.servlet.jsp.JspWriter` | `_createOut(int bufferSize, boolean autoFlush)`
`java.lang.Object` | `findAttribute(java.lang.String name)`
`void` | `forward(java.lang.String relativeUrlPath)`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.lang.Object` | `getAttribute(java.lang.String name, int scope)`
`java.util.Enumeration` | `getAttributeNamesInScope(int scope)`
`int` | `getAttributesScope(java.lang.String name)`
`java.lang.Exception` | `getException()`
`javax.servlet.jsp.JspWriter` | `getOut()`
`java.lang.Object` | `getPage()`
`javax.servlet.ServletRequest` | `getRequest()`
`javax.servlet.ServletResponse` | `getResponse()`
`javax.servlet.Servlet` | `getServlet()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSession` | `getSession()`
`void` | `handlePageException(java.lang.Exception ex)`
`void` | `handlePageException(java.lang.Throwable t)`
`void` | `include(java.lang.String relativeUrlPath)`
`void` | `initialize(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int bufferSize, boolean autoFlush)`
`javax.servlet.jsp.JspWriter` | `popBody()`
`javax.servlet.jsp.tagext.BodyContent` | `pushBody()`
`void` | `release()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeAttribute(java.lang.String name, int scope)`
`void` | `setAttribute(java.lang.String name, java.lang.Object attribute)`
`void` | `setAttribute(java.lang.String name, java.lang.Object o, int scope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servlet

    protected javax.servlet.Servlet servlet

### config

    protected javax.servlet.ServletConfig config

### context

    protected javax.servlet.ServletContext context

### factory

    protected javax.servlet.jsp.JspFactory factory

### needsSession

    protected boolean needsSession

### errorPageURL

    protected java.lang.String errorPageURL

### autoFlush

    protected boolean autoFlush

### bufferSize

    protected int bufferSize

### attributes

    protected transient java.util.Hashtable attributes

### request

    protected transient javax.servlet.ServletRequest request

### response

    protected transient javax.servlet.ServletResponse response

### page

    protected transient java.lang.Object page

### session

    protected transient javax.servlet.http.HttpSession session

### isIncluded

    protected boolean isIncluded

### out

    protected transient javax.servlet.jsp.JspWriter out

Method Detail

### initialize

    public void initialize(javax.servlet.Servlet servlet,
                           javax.servlet.ServletRequest request,
                           javax.servlet.ServletResponse response,
                           java.lang.String errorPageURL,
                           boolean needsSession,
                           int bufferSize,
                           boolean autoFlush)
                    throws java.io.IOException,
                           java.lang.IllegalStateException,
                           java.lang.IllegalArgumentException

  Specified by:
    `initialize` in class `javax.servlet.jsp.PageContext`
    `java.io.IOException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`

### release

    public void release()

  Specified by:
    `release` in class `javax.servlet.jsp.PageContext`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in class `javax.servlet.jsp.PageContext`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name,
                                         int scope)

  Specified by:
    `getAttribute` in class `javax.servlet.jsp.PageContext`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object attribute)

  Specified by:
    `setAttribute` in class `javax.servlet.jsp.PageContext`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object o,
                             int scope)

  Specified by:
    `setAttribute` in class `javax.servlet.jsp.PageContext`

### removeAttribute

    public void removeAttribute(java.lang.String name,
                                int scope)

  Specified by:
    `removeAttribute` in class `javax.servlet.jsp.PageContext`

### getAttributesScope

    public int getAttributesScope(java.lang.String name)

  Specified by:
    `getAttributesScope` in class `javax.servlet.jsp.PageContext`

### findAttribute

    public java.lang.Object findAttribute(java.lang.String name)

  Specified by:
    `findAttribute` in class `javax.servlet.jsp.PageContext`

### getAttributeNamesInScope

    public java.util.Enumeration getAttributeNamesInScope(int scope)

  Specified by:
    `getAttributeNamesInScope` in class `javax.servlet.jsp.PageContext`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in class `javax.servlet.jsp.PageContext`

### getOut

    public javax.servlet.jsp.JspWriter getOut()

  Specified by:
    `getOut` in class `javax.servlet.jsp.PageContext`

### getSession

    public javax.servlet.http.HttpSession getSession()

  Specified by:
    `getSession` in class `javax.servlet.jsp.PageContext`

### getServlet

    public javax.servlet.Servlet getServlet()

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in class `javax.servlet.jsp.PageContext`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in class `javax.servlet.jsp.PageContext`

### getRequest

    public javax.servlet.ServletRequest getRequest()

  Specified by:
    `getRequest` in class `javax.servlet.jsp.PageContext`

### getResponse

    public javax.servlet.ServletResponse getResponse()

  Specified by:
    `getResponse` in class `javax.servlet.jsp.PageContext`

### getException

    public java.lang.Exception getException()

  Specified by:
    `getException` in class `javax.servlet.jsp.PageContext`

### getPage

    public java.lang.Object getPage()

  Specified by:
    `getPage` in class `javax.servlet.jsp.PageContext`

### include

    public void include(java.lang.String relativeUrlPath)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `include` in class `javax.servlet.jsp.PageContext`
    `javax.servlet.ServletException`
    `java.io.IOException`

### forward

    public void forward(java.lang.String relativeUrlPath)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `forward` in class `javax.servlet.jsp.PageContext`
    `javax.servlet.ServletException`
    `java.io.IOException`

### pushBody

    public javax.servlet.jsp.tagext.BodyContent pushBody()

  Overrides:
    `pushBody` in class `javax.servlet.jsp.PageContext`

### popBody

    public javax.servlet.jsp.JspWriter popBody()

  Overrides:
    `popBody` in class `javax.servlet.jsp.PageContext`

### handlePageException

    public void handlePageException(java.lang.Exception ex)
                             throws java.io.IOException,
                                    javax.servlet.ServletException

  Specified by:
    `handlePageException` in class `javax.servlet.jsp.PageContext`
    `java.io.IOException`
    `javax.servlet.ServletException`

### handlePageException

    public void handlePageException(java.lang.Throwable t)
                             throws java.io.IOException,
                                    javax.servlet.ServletException

  Specified by:
    `handlePageException` in class `javax.servlet.jsp.PageContext`
    `java.io.IOException`
    `javax.servlet.ServletException`

### _createOut

    protected javax.servlet.jsp.JspWriter _createOut(int bufferSize,
                                                     boolean autoFlush)
                                              throws java.io.IOException,
                                                     java.lang.IllegalArgumentException

    `java.io.IOException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.